RT_SIGQUEUEINFO(2)

NAME
rt_sigqueueinfo - Send signal information to a signal

SYNOPSIS

long sys_rt_sigqueueinfo (int pid, int sig, siginfo_t *uinfo);

DESCRIPTION

rt_sigqueueinfo sends signal sig information uinfo to a process pid.

RETURN VALUE

rt_sigqueueinfo returns 0 on success; otherwise, rt_sigqueueinfo returns one of the errors listed in the "Errors" section.

ERRORS

-EFAULT
    An invalid value for uinfo was specified.

-EPERM
    A non-root process cannot send this signal.

SEE ALSO

rt_sigaction(2), rt_sigpending(2), rt_sigprocmask(2), rt_sigreturn(2), rt_sigsuspend(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi